%define module_name Net-Frame-Layer-ICMPv6
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bit/Vector.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Net/Frame.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.11
Release: alt1
Summary: Internet Control Message Protocol v6 layer object
Group: Development/Perl
License: artistic
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GO/GOMOR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This modules implements the encoding and decoding of the ICMPv6 layer.

RFC: http://www.rfc-editor.org/rfc/rfc4861.txt

RFC: http://www.rfc-editor.org/rfc/rfc4389.txt

RFC: http://www.rfc-editor.org/rfc/rfc4191.txt

RFC: http://www.rfc-editor.org/rfc/rfc3775.txt

RFC: http://www.rfc-editor.org/rfc/rfc2463.txt

RFC: http://www.rfc-editor.org/rfc/rfc2461.txt

RFC: http://www.rfc-editor.org/rfc/rfc2460.txt

See also Net::Frame::Layer for other attributes and methods.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE.Artistic README LICENSE Changes examples
%perl_vendor_privlib/N*

%changelog
* Thu May 23 2019 Igor Vlasenko <viy@altlinux.ru> 1.11-alt1
- updated by package builder

* Thu Oct 26 2017 Igor Vlasenko <viy@altlinux.ru> 1.10-alt1
- regenerated from template by package builder

* Tue May 06 2014 Igor Vlasenko <viy@altlinux.ru> 1.09-alt1
- regenerated from template by package builder

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 1.08-alt1
- initial import by package builder

